#### PyKDE - Python Bindings for KDE

# class KMdiChildFrmCaption |
Table of contents
Modules
kmdi Classes
All Classes

Module | kmdi
Class | KMdiChildFrmCaption
Inherits | QWidget

### methods

- KMdiChildFrmCaption (parent)

  returns a KMdiChildFrmCaption instance
  Argument | Type | Default
  --- | --- | ---
  parent | KMdiChildFrm |

- abbreviateText (origStr, maxWidth)

  returns (QString)
  Argument | Type | Default
  --- | --- | ---
  origStr | QString |
  maxWidth | int |

- heightHint ()

  returns (int)

- mouseDoubleClickEvent (a0)

  returns nothing
  Argument | Type | Default
  --- | --- | ---
  a0 | QMouseEvent |

- mouseMoveEvent (e)

  returns nothing
  Argument | Type | Default
  --- | --- | ---
  e | QMouseEvent |

- mousePressEvent (a0)

  returns nothing
  Argument | Type | Default
  --- | --- | ---
  a0 | QMouseEvent |

- mouseReleaseEvent (a0)

  returns nothing
  Argument | Type | Default
  --- | --- | ---
  a0 | QMouseEvent |

- paintEvent (e)

  returns nothing
  Argument | Type | Default
  --- | --- | ---
  e | QPaintEvent |

- setActive (bActive)

  returns nothing
  Argument | Type | Default
  --- | --- | ---
  bActive | bool |

- setCaption (text)

  returns nothing
  Argument | Type | Default
  --- | --- | ---
  text | QString |

- slot_moveViaSystemMenu ()

  returns nothing

### variables

- variables

  Variable | Type
  --- | ---
  m_szCaption | QString